net.sf.jasperreports.engine.analytics.dataset

## Class DesignDataMeasure

- java.lang.Object
- - net.sf.jasperreports.engine.analytics.dataset.BaseDataMeasure
  - - net.sf.jasperreports.engine.analytics.dataset.DesignDataMeasure

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, DataMeasure, JRChangeEventsSupport, JRCloneable

      public class DesignDataMeasure
      extends BaseDataMeasure
      implements JRChangeEventsSupport

  Version:
    $Id: DesignDataMeasure.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_CALCULATION`
    `static java.lang.String` | `PROPERTY_INCREMENTER_FACTORY_CLASS_NAME`
    `static java.lang.String` | `PROPERTY_LABEL_EXPRESSION`
    `static java.lang.String` | `PROPERTY_NAME`
    `static java.lang.String` | `PROPERTY_VALUE_CLASS_NAME`
    `static java.lang.String` | `PROPERTY_VALUE_EXPRESSION`

    - ### Fields inherited from class net.sf.jasperreports.engine.analytics.dataset.BaseDataMeasure

      `calculation, incrementerFactoryClassName, labelExpression, name, valueClassName, valueExpression`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DesignDataMeasure()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `void` | `setCalculation(CalculationEnum calculation)`
    `void` | `setIncrementerFactoryClassName(java.lang.String incrementerFactoryClassName)`
    `void` | `setLabelExpression(JRExpression expression)`
    `void` | `setName(java.lang.String name)`
    `void` | `setValueClassName(java.lang.String valueClassName)`
    `void` | `setValueExpression(JRExpression expression)`

    - ### Methods inherited from class net.sf.jasperreports.engine.analytics.dataset.BaseDataMeasure

      `clone, getCalculation, getIncrementerFactoryClass, getIncrementerFactoryClassName, getLabelExpression, getName, getValueClass, getValueClassName, getValueExpression`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_NAME

          public static final java.lang.String PROPERTY_NAME

      See Also:
        Constant Field Values

    - #### PROPERTY_LABEL_EXPRESSION

          public static final java.lang.String PROPERTY_LABEL_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_VALUE_CLASS_NAME

          public static final java.lang.String PROPERTY_VALUE_CLASS_NAME

      See Also:
        Constant Field Values

    - #### PROPERTY_VALUE_EXPRESSION

          public static final java.lang.String PROPERTY_VALUE_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_CALCULATION

          public static final java.lang.String PROPERTY_CALCULATION

      See Also:
        Constant Field Values

    - #### PROPERTY_INCREMENTER_FACTORY_CLASS_NAME

          public static final java.lang.String PROPERTY_INCREMENTER_FACTORY_CLASS_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DesignDataMeasure

          public DesignDataMeasure()

  - ### Method Detail

    - #### setName

          public void setName(java.lang.String name)

    - #### setLabelExpression

          public void setLabelExpression(JRExpression expression)

    - #### setValueClassName

          public void setValueClassName(java.lang.String valueClassName)

      Overrides:
        `setValueClassName` in class `BaseDataMeasure`

    - #### setValueExpression

          public void setValueExpression(JRExpression expression)

    - #### setCalculation

          public void setCalculation(CalculationEnum calculation)

    - #### setIncrementerFactoryClassName

          public void setIncrementerFactoryClassName(java.lang.String incrementerFactoryClassName)

      Overrides:
        `setIncrementerFactoryClassName` in class `BaseDataMeasure`

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com